﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3034C: (1 year) VER IEEE /9500+4Hd
DATE:                  2010-06-03 12:35:16
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       269
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3034C
# 
#  Source(s):
#        TDS3000C Series Digital Phosphor Oscilloscopes,
#        Specifications and Performance Verification
#        Technical Reference, 071-2508-01
# 
# Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000C Check Firmware Version
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS3000C Set Bandwidth & Number of Channels
#        Sub Tek TDS3000C Sig Path Comp Cal IEEE
#        Sub Tek TDS3000C Self-Test IEEE
#        Sub Tek TDS3000C Channel Select IEEE
#        Sub Tek TDS3000C (1 yr) DCV IEEE /9500
#        Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600
#        Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600
#        Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600
#        Sub Tek TDS3000C (1 yr) Sample Rate IEEE /9500
#        Sub Tek TDS3000C Trigger Chk and Level Adj IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        TDS3GV GPIB/RS-232/VGA Communication Module
#        50 Ohm feed through teminator, one to four sets
#           (if one to four sets 9560 is configured)
#        Adapter SMA(f)-BNC(m), one to four sets
#           (if one to four sets 9560 is configured)
#
# The procedure was tested using:
#        Model No  : TDS3014C
#        Serial No : C011177
#        Options   : TDS3GV:v1.00 TDS3FFT :v1.00 TDS3TRG:v1.00
#        Firmware  : V4.05
#
# Average run time during testing : 40 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.20x"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Verification Method (No NTHROW)
  1.020  CALL         Sub Datron 9500 Configuration Query IEEE

  1.021  HEAD         EQUIPMENT REQUIREMENTS
  1.022  OPBR         -z Do you want to REVIEW the list of additional
  1.022  OPBR         equipment and/or accessories required?

  1.023  IF           MEM1
  1.024  MATH         Con = @HeadTypeCh1 == "9560" || @HeadTypeCh2 == "9560"
  1.025  MATH         Con = Con || @HeadTypeCh3 == "9560"
  1.026  MATH         Con = Con || @HeadTypeCh4 == "9560"

  1.027  IF           NOT(Con)
  1.028  DISP         - TDS3GV GPIB/RS-232/VGA Communication Module

  1.029  ELSE
  1.030  DISP         - TDS3GV GPIB/RS-232/VGA Communication Module
  1.030  DISP         - 50 Ohm feed through teminator, one to four sets
  1.030  DISP         [32]        (if one to four sets 9560 is configured)
  1.030  DISP         - Adapter SMA(f)-BNC(m), one to four sets
  1.030  DISP         [32]        (if one to four sets 9560 is configured)
  1.031  ENDIF

  1.032  ENDIF

  1.033  HEAD         PRELIMINARY INSTRUCTIONS
  1.034  TARGET
  1.035  DISP         Ensure a minimum UUT warm-up time of at least
  1.035  DISP         20 minutes has been allowed to elapse, prior
  1.035  DISP         to beginning verification.

  1.036  CALL         Sub Tek TDS3000C SetUp IEEE
  1.037  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.038  MATH         @UUT_Manufacturer = "Tektronix"
  1.039  MATH         @UUT_Model        = "TDS 3034C"
  1.040  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.041  JMPL         END                           @Abort

  1.042  CALL         Sub Tek TDS3000C Check Firmware Version
  1.043  JMPL         END                           @Abort

  1.044  CALL         Sub Tek TDS3000C Set Bandwidth & Number of Channels
  1.045  CALL         Sub Tek TDS3000C Sig Path Comp Cal IEEE
  1.046  JMPL         END                           @Abort

  1.047  CALL         Sub Tek TDS3000C Self-Test IEEE
  1.048  JMPL         END                           @Abort

  1.049  IF           @HeadTypeCh1 == "9560"
  1.050  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.051  ELSE
  1.052  MATH         Ch1Adapter = ""
  1.053  ENDIF

  1.054  IF           @HeadTypeCh2 == "9560"
  1.055  MATH         Ch2Adapter = " via SMA(f)-BNC(m) adapter"
  1.056  ELSE
  1.057  MATH         Ch2Adapter = ""
  1.058  ENDIF

  1.059  IF           @HeadTypeCh3 == "9560"
  1.060  MATH         Ch3Adapter = " via SMA(f)-BNC(m) adapter"
  1.061  ELSE
  1.062  MATH         Ch3Adapter = ""
  1.063  ENDIF

  1.064  IF           @HeadTypeCh4 == "9560"
  1.065  MATH         Ch4Adapter = " via SMA(f)-BNC(m) adapter"
  1.066  ELSE
  1.067  MATH         Ch4Adapter = ""
  1.068  ENDIF

  1.069  DISP         Connect the 9500 to the UUT as follows:
  1.069  DISP
  1.069  DISP         [32] CH 1 Active Head to UUT CH 1[V Ch1Adapter].
  1.069  DISP         [32] CH 2 Active Head to UUT CH 2[V Ch2Adapter].
  1.069  DISP         [32] CH 3 Active Head to UUT CH 3[V Ch3Adapter].
  1.069  DISP         [32] CH 4 Active Head to UUT CH 4[V Ch4Adapter].

  1.070  MATH         @Chan = 1
  1.071  M9500                       CH1
  1.072  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /9500

  1.073  MATH         @Chan = 2
  1.074  M9500                       CH2
  1.075  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /9500

  1.076  MATH         @Chan = 3
  1.077  M9500                       CH3
  1.078  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /9500

  1.079  MATH         @Chan = 4
  1.080  M9500                       CH4
  1.081  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /9500

  1.082  MATH         @Chan = 1
  1.083  M9500                       CH1
  1.084  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600

  1.085  MATH         @Chan = 2
  1.086  M9500                       CH2
  1.087  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600

  1.088  MATH         @Chan = 3
  1.089  M9500                       CH3
  1.090  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600

  1.091  MATH         @Chan = 4
  1.092  M9500                       CH4
  1.093  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600

  1.094  MATH         @Chan = 1
  1.095  M9500                       CH1
  1.096  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600

  1.097  MATH         @Chan = 2
  1.098  M9500                       CH2
  1.099  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600

  1.100  MATH         @Chan = 3
  1.101  M9500                       CH3
  1.102  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600

  1.103  MATH         @Chan = 4
  1.104  M9500                       CH4
  1.105  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600

  1.106  MATH         @Chan = 1
  1.107  M9500                       CH1
  1.108  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600

  1.109  MATH         @Chan = 2
  1.110  M9500                       CH2
  1.111  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600

  1.112  MATH         @Chan = 3
  1.113  M9500                       CH3
  1.114  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600

  1.115  MATH         @Chan = 4
  1.116  M9500                       CH4
  1.117  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600

  1.118  MATH         @Chan = 1
  1.119  M9500                       CH1
  1.120  CALL         Sub Tek TDS3000C (1 yr) Sample Rate IEEE /9500

  1.121  LABEL        END
  1.122  HEAD         -2

  1.123  IF           @Abort
  1.124  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.125  ELSE
  1.126  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.127  ENDIF

  1.128  END
